/****************************************************************************/
/*!
   	@file		RealLib1_pri.h
	@author 	Fanzo
 	@date 		2007/10/17
*/
/****************************************************************************/

#ifndef		RealLib11_pri_h
#define		RealLib11_pri_h

///////////////////////////////////////////////////////////////////////////
// private settings
#include	"RealLib1_pub.h"

///////////////////////////////////////////////////////////////////////////
// include files
#include	"real.h"

real_dll_import
void __real_InitializeReal();

real_dll_import
void __real_UninitializeReal();

real_dll_import
bool __real_RegistRealGC
		(
		real::gc_info		*pinfo
		);

real_dll_import
void __real_CollectGC
		(
		bool	sync , 
		bool	integrate
		);
real_dll_import
real::uint32 __real_GetMemorySize();

real_dll_import
void real_call __real_SetCollectSetting
		(
		real::CollectSetting	&setting
		);

real_dll_import
void real_call __real_GetCollectSetting
		(
		real::CollectSetting	*psetting
		);

real_dll_import
bool __real_SetGCThreadPriority
		(
		real::GCThreadPriority	priority
		);
real_dll_import
real::GCThreadPriority __real_GetGCThreadPriority();
real_dll_import
bool __real_SetGCThreadProcessor
		(
		int		processor_id
		);

namespace RealLib1
{

///////////////////////////////////////////////////////////////////////////
// private presprocessor define

///////////////////////////////////////////////////////////////////////////
// private classes

///////////////////////////////////////////////////////////////////////////
// private variables

static
real::int32		m_InitializeCount	= 0;

static
Thread1::CriticalSection	m_InitializeCS;

};	//namespace RealLib1


#endif

